Name:		netxen-firmware
Summary:	QLogic Linux Intelligent Ethernet (3000 and 3100 Series) Adapter Firmware
Version:	4.0.579
Release:	3.2%{?dist}
License:	Redistributable, no modification permitted
Group:		System Environment/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/netxen_nic/phanfw.bin
Source1:	ftp://ftp.qlogic.com/outgoing/linux/firmware/netxen_nic/LICENCE.phanfw
Source2:	nx3fwct.bin
Source3:        nx3fwmn.bin	
URL:		ftp://ftp.qlogic.com/outgoing/linux/firmware/netxen_nic/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
# Needed for /lib/firmware

%description
QLogic Linux Intelligent Ethernet (3000 and 3100 Series) Adapter Firmware.

%prep
%setup -n %{name} -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .

%build
# Firmware, do nothing.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware/
install -m0644 phanfw.bin %{buildroot}/lib/firmware/
install -m0644 nx3fwct.bin %{buildroot}/lib/firmware/
install -m0644 nx3fwmn.bin %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE.phanfw
/lib/firmware/phanfw.bin
/lib/firmware/nx3fwct.bin
/lib/firmware/nx3fwmn.bin

%changelog
* Wed May 16 2012 Maxim Uvarov <maxim.uvarov@oracle.com> - 4.0.579-3.2
- package nx3fwct.bin and nx3fwmn.bin  [ora bug 14068767]

* Thu Sep 29 2011 Chuck Anderson <chuck.anderson@oracle.com> - 4.0.579
- replace phanfw.bin with version 4.0.579 [ora bug 13005449]

* Tue Dec 22 2010 Zhenzhong Duan <zhenzhong.duan@oracle.com> 4.0.534-1
- Initial package based on firmware and license from vendor

